// playMP3Dlg.h : header file
//

#if !defined(AFX_PLAYMP3DLG_H__1EF19307_2AAF_11D6_9CD7_444553540000__INCLUDED_)
#define AFX_PLAYMP3DLG_H__1EF19307_2AAF_11D6_9CD7_444553540000__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

//

class CPlayerMP3;

/////////////////////////////////////////////////////////////////////////////
// CPlayMP3Dlg dialog

class CPlayMP3Dlg : public CDialog
{
// Construction
public:
	CPlayMP3Dlg(CWnd* pParent = NULL);	// standard constructor
  ~CPlayMP3Dlg();

  void UpdateButtons();

  CPlayerMP3* m_pPlayerMP3;

// Dialog Data
	//{{AFX_DATA(CPlayMP3Dlg)
	enum { IDD = IDD_PLAYMP3_DIALOG };
	CSpinButtonCtrl	m_spinVolume;
	CButton	m_btnStop;
	CButton	m_btnRewind;
	CButton	m_btnPlay;
	CButton	m_btnPause;
	CString	m_strTitle;
	CString	m_strVolume;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CPlayMP3Dlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	HICON m_hIcon;
  UINT  m_nTimer;

	// Generated message map functions
	//{{AFX_MSG(CPlayMP3Dlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnLoad();
	afx_msg void OnPlay();
	afx_msg void OnPause();
	afx_msg void OnStop();
	afx_msg void OnRewind();
	afx_msg void OnDeltaposSpinvolume(NMHDR* pNMHDR, LRESULT* pResult);
	afx_msg void OnTimer(UINT nIDEvent);
	afx_msg void OnDestroy();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_PLAYMP3DLG_H__1EF19307_2AAF_11D6_9CD7_444553540000__INCLUDED_)
